# List events

List all the events that match the specified criteria in the request.

Endpoint: POST /v2/events/list
Version: v2
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer

## Request fields (application/json):

  - `listEventType` (string)
    Type of events
    Enum: "UPCOMING", "PAST_OR_COMPLETED", "CANCELLED_EVENT"

  - `filters` (array)
    List events filters

  - `filters.userFilter` (object)
    Event user filter details

  - `filters.userFilter.userId` (object)
    User identifier

  - `filters.userFilter.userId.id` (string, required)

  - `filters.eventStatusFilter` (array)
    Event status filter

  - `filters.eventNameFilter` (string)
    Event name filter
    Example: Jaipur Offsite

  - `filters.eventDateRangeFilter` (object)
    Event date range filter

  - `filters.eventDateRangeFilter.eventDateRange` (object)

  - `filters.eventDateRangeFilter.eventDateRange.min` (object)
    Local date and time in ISO 8601 format.

  - `filters.eventDateRangeFilter.eventDateRange.min.iso8601` (string, required)
    Example: 2017-07-21T17:32

  - `filters.companyFilter` (object)
    Event company filter details

  - `filters.companyFilter.companyId` (object)
    Company ID

  - `filters.companyFilter.companyId.id` (string, required)
    Example: f49d00fe-1eda-4304-ba79-a980f565281d

  - `filters.eventParentFilter` (object)
    Event parent filter details

  - `filters.eventParentFilter.parentEventId` (string, required)
    Parent event's id.
    Example: 56789012

  - `filters.eventTypeFilter` (object)
    Event type filter details. Currently, we cannot combine PROGRAM_TRIP, PROGRAM_SESSION and PROGRAM in this filter.

  - `filters.eventTypeFilter.types` (array)

  - `filters.eventIdFilter` (object)
    Event ID filter details

  - `filters.eventIdFilter.eventIdList` (array, required)
    A list of event IDs.

  - `filters.eventDetachedFilter` (object)
    Event detached filter details

  - `filters.eventDetachedFilter.isDetached` (boolean, required)
    Filter events based on whether they are detached from parent event or not.
    Example: true

  - `filters.eventEndDateRangeFilter` (object)
    Event end date range filter

  - `travelerFilters` (array)
    Filters for event travelers

  - `travelerFilters.type` (string, required)
    Enum: "TRAVELER_SEARCH_FILTER", "INVITATION_STATUS_FILTER"

  - `travelerFilters.searchTerm` (string)
    Example: name

  - `travelerFilters.rsvpStates` (array, required)
    List of rsvp states for which travelers need to be fetched

  - `travelerFilters.type` (string, required)
    Type of filter
    Enum: "AIR_BOOKING_STATUS_FILTER", "RAIL_BOOKING_STATUS_FILTER", "CAR_BOOKING_STATUS_FILTER", "HOTEL_BOOKING_STATUS_FILTER"

  - `travelerFilters.bookingStatus` (array, required)
    Air Booking status

  - `travelerFilters.bookingStatus` (array, required)
    Rail Booking status

  - `travelerFilters.bookingStatus` (array, required)
    Car Booking status

  - `travelerFilters.bookingStatus` (array, required)
    Hotel Booking status

  - `listByTravelerEvents` (boolean)
    Whether listing travelers or events.
    Example: true

  - `offset` (integer)
    Indicates from where in the list of events the server should start.
    Example: 2

  - `limit` (integer)
    Maximum number of results to be fetched for the query.
    Example: 2

  - `sortOptions` (array)
    Sort options for the list events request.

  - `sortOptions.sortField` (string, required)
    Field to sort by
    Enum: "START_DATE", "END_DATE", "EVENT_NAME", "CREATION_DATE", "TRAVELER_NAME"

  - `sortOptions.sortOrder` (string, required)
    Sorting order.
    Enum: "DESC", "ASC"

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `events` (array)
    List of events

  - `events.id` (string)
    Event ID

  - `events.name` (string)
    Name of the event

  - `events.type` (string)
    Type of an event
    Enum: "GENERIC", "PROGRAM", "PROGRAM_SESSION", "PROGRAM_TRIP"

  - `events.description` (string)
    Description of the event

  - `events.startDateTime` (object)
    Local date and time in ISO 8601 format.

  - `events.startDateTime.iso8601` (string, required)
    Example: 2017-07-21T17:32

  - `events.location` (object)
    Location for an event

  - `events.location.address` (object)
    Postal Address Details

  - `events.location.address.addressLines` (array, required)
    Address lines

  - `events.location.address.administrativeArea` (string)
    Code of administrative area. For example: DL for Delhi, India.
Highest administrative subdivision which is used for postal
addresses of a country or region.
For example, this can be a state, a province, an oblast, or a prefecture.
Specifically, for Spain this is the province and not the autonomous
community (e.g. "Barcelona" and not "Catalonia").
Many countries don't use an administrative area in postal addresses. E.g.
in Switzerland this should be left unpopulated.
    Example: CA

  - `events.location.address.administrativeAreaName` (string)
    Name of administrative area. This is full name corresponding to administrativeArea. 
Like Delhi for DL area code. For some places, code and name maybe same as well like Tokyo.
    Example: California

  - `events.location.address.description` (string)
    Address description
    Example: San Francisco Home

  - `events.location.address.isDefault` (boolean)
    Whether this address is default address in case multiple addresses are specified.
    Example: true

  - `events.location.address.languageCode` (string)
    BCP-47 language code of the contents of this address (if known). This is often the UI 
language of the input form or is expected to match one of the languages used in the 
address' country/region, or their transliterated equivalents.
This can affect formatting in certain countries, but is not critical to the correctness 
of the data and will never affect any validation or other non-formatting related operations.
Examples: "zh-Hant", "ja", "ja-Latn", "en".
    Example: en

  - `events.location.address.locality` (string)
    Generally refers to the city/town portion of the address.
    Example: San Francisco

  - `events.location.address.locationCode` (string)
    IATA 3-letter location code. See https://www.iata.org/en/services/codes.
    Example: LAX

  - `events.location.address.organization` (string)
    The name of the organization at the address.
    Example: Spotnana

  - `events.location.address.postalCode` (string)
    Postal code of the address. This is a required field when setting for a user/legal entity/company etc.
    Example: 94130

  - `events.location.address.continentCode` (string)
    2 letter continent code of the continent this address falls in.
    Example: AF

  - `events.location.address.recipients` (array)
    The recipient at the address.

  - `events.location.address.regionCode` (string, required)
    Region code of the country/region of the address.
    Example: US

  - `events.location.address.regionName` (string)
    Region name of the country/region of the address.
    Example: America

  - `events.location.address.revision` (integer)
    Example: 1

  - `events.location.address.sortingCode` (string)
    Additional, country-specific, sorting code. This is not used
in most regions. Where it is used, the value is either a string like
"CEDEX", optionally followed by a number (e.g. "CEDEX 7"), or just a number
alone, representing the "sector code" (Jamaica), "delivery area indicator"
(Malawi) or "post office indicator" (e.g. Côte d'Ivoire).
    Example: Jamaica

  - `events.location.address.sublocality` (string)
    Sublocality of the address. This can be neighborhoods, boroughs, districts.

  - `events.location.address.timezone` (string)
    Time zone of the address.
    Example: America/Los_Angeles

  - `events.location.address.coordinates` (object)
    Latitude and Longitude for a Location

  - `events.location.address.coordinates.latitude` (number, required)
    Latitude of the Location
    Example: 77.1025

  - `events.location.address.coordinates.longitude` (number, required)
    Longitude of the Location
    Example: 28.7041

  - `events.group` (object)
    Group of users for the event

  - `events.group.id` (string)
    Event Group ID
    Example: f49d00fe-1eda-4304-ba79-a980f565281d

  - `events.group.name` (string)
    Name of the event group

  - `events.group.description` (string)
    Description of the event group

  - `events.group.bookingGuidelines` (array)
    A list of BookingGuideline for event group

  - `events.group.bookingGuidelines.numGuestsAllowed` (integer)
    Number of guests allowed to be booked for this booking
    Example: 1

  - `events.group.bookingGuidelines.airBookingGuideLine` (object)
    Air related guidelines

  - `events.group.bookingGuidelines.airBookingGuideLine.allowedAirports` (array)
    List of allowed airports for arrival of flight-in-event and departure of flight-out-event.

  - `events.group.bookingGuidelines.airBookingGuideLine.allowedAirports.airportCode` (string)
    3-letter code of the airport.
    Example: WRA

  - `events.group.bookingGuidelines.airBookingGuideLine.allowedAirports.airportName` (string)
    Full name of the airport.
    Example: Warder Airport

  - `events.group.bookingGuidelines.airBookingGuideLine.allowedAirports.cityName` (string)
    Name of the city in which the airport is located (or is nearest to).
    Example: Werder

  - `events.group.bookingGuidelines.airBookingGuideLine.allowedAirports.countryName` (string)
    Name of the country in which the airport is located.
    Example: Ethiopia

  - `events.group.bookingGuidelines.airBookingGuideLine.allowedAirports.countryCode` (string)
    2-letter IATA country code associated with the airport.
    Example: ET

  - `events.group.bookingGuidelines.airBookingGuideLine.allowedAirports.zoneName` (string)
    Name of the time zone associated with the airport.
    Example: Africa/Addis_Ababa

  - `events.group.bookingGuidelines.airBookingGuideLine.allowedAirports.stateCode` (string)
    2-letter IATA code for the state in which the airport is located.
    Example: CA

  - `events.group.bookingGuidelines.airBookingGuideLine.allowedCityCodes` (array)
    List of allowed city codes for arrival of flight-in-event and departure of flight-out-event. If both allowedAirports and allowedCityCodes are provided, allowedCityCodes takes precedence.

  - `events.group.bookingGuidelines.airBookingGuideLine.arrivalBookingWindow` (object)
    Event booking window

  - `events.group.bookingGuidelines.airBookingGuideLine.allowedFlightGuidelines` (array)
    List of allowed flight guidelines for the event.

  - `events.group.bookingGuidelines.airBookingGuideLine.allowedFlightGuidelines.allowedFlightType` (string, required)
    The types of flight booking guidelines
    Enum: "ONE_WAY", "ROUND_TRIP", "MULTICITY"

  - `events.group.bookingGuidelines.airBookingGuideLine.allowedFlightGuidelines.numberOfLegs` (integer)
    The number of legs allowed for the flight booking.
    Example: 2

  - `events.group.bookingGuidelines.hotelBookingGuideLine` (object)
    Hotel related guidelines

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels` (array)
    List of allowed Hotel details for the event

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.chainCode` (string)
    Chain code of the hotel.
    Example: RF

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.chainName` (string)
    Chain name of the hotel.
    Example: Red Roof Inns

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.email` (string)
    Email address of the hotel.
    Example: user@business.com

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.hotelId` (string)
    Hotel id.
    Example: 100094780

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.name` (string, required)
    Name of the hotel.
    Example: San Francisco Airport Red Roof

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.phone` (object)
    Properly formatted phone number.

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.phone.countryCode` (integer)
    two digit country code
    Example: 91

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.phone.countryCodeSource` (string)
    Enum: "UNSPECIFIED", "FROM_NUMBER_WITH_PLUS_SIGN", "FROM_NUMBER_WITH_IDD", "FROM_NUMBER_WITHOUT_PLUS_SIGN", "FROM_DEFAULT_COUNTRY"

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.phone.extension` (string)
    phone number extension
    Example: 222

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.phone.isoCountryCode` (string)
    ISO alpha-2 code
    Example: IN

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.phone.italianLeadingZero` (boolean)
    Example: true

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.phone.nationalNumber` (integer)
    Example: 8150

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.phone.numberOfLeadingZeros` (integer)
    Example: 1

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.phone.preferredDomesticCarrierCode` (string)
    Example: 7

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.phone.rawInput` (string)
    Example: 77777

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.phone.type` (string)
    Enum: "UNKNOWN_TYPE", "MOBILE", "LANDLINE"

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.starRating` (number)
    Star rating of the hotel.
    Example: 3.5

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.fax` (array)

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.masterChainCode` (string)
    Master chain code of the hotel.
    Example: EM

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.brandName` (string)
    Brand name of the hotel.
    Example: Marriott Hotel Brands

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.amenities` (array)

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.additionalAmenities` (array)
    List of amenities provided by the supplier.
    Example: ["Room service","Wifi"]

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.imageSets` (array)

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.descriptions` (array)

  - `events.group.bookingGuidelines.hotelBookingGuideLine.allowedHotels.thirdPartyHotelCodes` (array)

  - `events.group.bookingGuidelines.hotelBookingGuideLine.paymentGuidelines` (object)
    Hotel booking payment guidelines

  - `events.group.bookingGuidelines.hotelBookingGuideLine.paymentGuidelines.onlyVpayEnabledBooking` (boolean)
    Whether only Vpay enabled bookings are allowed for the event.
    Example: true

  - `events.group.bookingGuidelines.carBookingGuideLine` (object)
    Car related guidelines

  - `events.group.bookingGuidelines.carBookingGuideLine.paymentGuidelines` (object)
    Car booking payment guidelines

  - `events.group.bookingGuidelines.carBookingGuideLine.paymentGuidelines.allowedPaymentVendors` (array)
    List of allowed car vendors for the event

  - `events.group.bookingGuidelines.carBookingGuideLine.paymentGuidelines.allowedPaymentVendors.vendorId` (string, required)
    ID of the vendor.

  - `events.group.bookingGuidelines.carBookingGuideLine.paymentGuidelines.allowedPaymentVendors.vendorName` (string, required)
    Name of the vendor.

  - `events.group.bookingGuidelines.carBookingGuideLine.paymentGuidelines.onlyVendorBooking` (boolean)
    Whether only Vendor bookings are allowed for the event.
    Example: true

  - `events.group.bookingGuidelines.railBookingGuideLine` (object)
    Rail related guidelines

  - `events.group.metadata` (object)
    Metadata for event group

  - `events.group.metadata.contacts` (array)
    Event group contacts

  - `events.group.metadata.contacts.id` (string, required)

  - `events.group.metadata.documents` (array)
    Documents attached for an event group

  - `events.group.metadata.documents.url` (string, required)
    S3 location of the document.
    Example: https://s3.amazonaws.com/bucket-name/folder-name/file-name

  - `events.group.metadata.documents.documentId` (string, required)
    Unique identifier of the document.
    Example: f49d00fe-1eda-4304-ba79-a980f565281d

  - `events.group.metadata.documents.documentMetadata` (object, required)
    Metadata related to document.

  - `events.group.metadata.documents.documentMetadata.documentType` (string, required)
    Document type.
    Enum: "BOARDING_PASS", "CONFIRMATION", "INVOICE", "VISA", "MISCELLANEOUS", "OTHERS", "TASK_PROCESSOR", "EVENT_COVER_IMAGE", "LOGO_IMAGE", "KNOWLEDGE_BASE", "AI_PLATFORM_ATTACHMENTS", "AI_SKILL_FILE"

  - `events.group.metadata.documents.documentMetadata.entityType` (string, required)
    Entity type against which the document is to uploaded.
    Enum: "PNR", "COMPANY", "AIR_ITINERARY", "EVENT", "LOCATION_IMAGE", "AIR_COMMISSION_CONTRACT"

  - `events.group.metadata.documents.documentMetadata.entityId` (string, required)
    Entity Id for the given entity type.
    Example: 123124

  - `events.group.metadata.documents.documentMetadata.entityMetadata` (object, required)
    Metadata for associated entity of document.

  - `events.group.metadata.documents.documentMetadata.entityMetadata.pnrMetadata` (object)
    Metadata when document is associated to pnr entity.

  - `events.group.metadata.documents.documentMetadata.entityMetadata.invoiceMetadata` (object)
    Metadata associated with an invoice document.

  - `events.group.metadata.documents.documentMetadata.entityMetadata.invoiceMetadata.invoiceNumber` (string, required)
    Example: SPOT-0001

  - `events.group.metadata.documents.documentMetadata.entityMetadata.invoiceMetadata.invoiceType` (string)
    Enum: "SERVICE_FEE_INVOICE", "FARE_INVOICE", "GENERIC_INVOICE"

  - `events.group.metadata.documents.documentMetadata.entityMetadata.travelType` (string, required)
    Travel Type
    Enum: "AIR", "HOTEL", "CAR", "RAIL", "LIMO", "MISC", "ALL"

  - `events.group.metadata.documents.documentMetadata.entityMetadata.eventMetadata` (object)
    Metadata when document is associated to an event.

  - `events.group.metadata.documents.documentMetadata.name` (string, required)
    Document name.
    Example: BoardingPass.pdf

  - `events.group.metadata.bookingStyle` (string)
    The booking style for the event's participants.
    Enum: "SELF_SERVE", "AGENT_MANAGED"

  - `events.group.metadata.referenceUsers` (array)
    Event group reference user ids

  - `events.group.metadata.internalNotes` (string)
    Internal notes of the event

  - `events.group.metadata.travelerTypes` (array)
    Allowed traveler types for the event

  - `events.group.metadata.allowTravelersPolicy` (string)
    Apply travelers policy when it is less restrictive.
    Enum: "ALLOWED", "NOT_ALLOWED"

  - `events.group.metadata.emailPreferences` (object)
    Email communication preferences based on bucket types.

  - `events.group.metadata.emailPreferences.bucketTypes` (array, required)
    List of email bucket types.

  - `events.group.metadata.emailPreferences.isEnabled` (boolean)
    Indicates whether emails are disabled.

  - `events.group.metadata.emailPreferences.toEmails` (array)
    List of email address to be included in emails.

  - `events.group.metadata.emailPreferences.ccEmails` (array)
    List of email address to be cc-ed in emails.

  - `events.group.metadata.emailPreferences.bccEmails` (array)
    List of email address to be bcc-ed in emails.

  - `events.group.metadata.allowTravelersToRsvp` (string)
    Allow travelers to rsvp for the event
    Enum: "ALLOWED", "NOT_ALLOWED"

  - `events.group.metadata.tripOverrides` (object)
    Trip overrides for the event

  - `events.group.metadata.tripOverrides.legalEntity` (object, required)
    Legal entity override for the event

  - `events.group.metadata.tripOverrides.legalEntity.behavior` (string, required)
    Override behavior for the trip overrides
    Enum: "OVERRIDE_ALLOWED", "OVERRIDE_NOT_ALLOWED", "OVERRIDE_MANDATORY"

  - `events.group.metadata.tripOverrides.legalEntity.legalEntityRef` (object)
    Reference of an entity

  - `events.group.metadata.tripOverrides.legalEntity.legalEntityRef.id` (string, required)
    Example: b93dc51f-12dd-46c7-b7d6-1cb12cd3f5b3

  - `events.group.metadata.tripOverrides.legalEntity.legalEntityRef.name` (string)
    Example: Name

  - `events.group.metadata.tripOverrides.costCenter` (object, required)
    Cost center override for the event

  - `events.group.metadata.tripOverrides.department` (object, required)
    Department override for the event

  - `events.group.metadata.tripOverrides.userAttributes` (array, required)
    List of company specified attribute overrides

  - `events.group.metadata.tripOverrides.userAttributes.attribute` (object, required)
    Company specified user arbitrary attribute.

  - `events.group.metadata.tripOverrides.userAttributes.attribute.fixedColumnName` (string, required)
    Example: contingentType

  - `events.group.metadata.tripOverrides.userAttributes.attribute.value` (string)
    Example: FSTV

  - `events.group.metadata.tripOverrides.rateCodeOverrides` (array)
    List of rate codes to be overridden for a trip

  - `events.group.metadata.tripOverrides.rateCodeOverrides.supplier` (string)
    Supplier type like Sabre, TravelFusion etc.
    Enum: "SABRE", "AMADEUS", "TRAVEL_FUSION", "FARELOGIX_NDC", "ATPCO_NDC", "TRAINLINE", "AVIA", "QBR", "BCD", "QANTAS_HOTELS", "SOUTHWEST", "EXPEDIA", "HOTEL_HUB", "NDC", "MARRIOTT", "CLEARTRIP", "KYTE", "GROUNDSPAN", "SABRE_NDC", "BOOKING_COM", "CARTRAWLER", "PREMIER_INN", "TRAVELODGE", "ENTERPRISE", "HYATT", "HILTON", "NATIONAL", "ALAMO", "HERTZ", "DOLLAR", "THRIFTY", "FIREFLY", "EUROSTAR", "AVIS", "BUDGET", "AMADEUS_NDC", "SIXT"

  - `events.group.metadata.tripOverrides.rateCodeOverrides.rateCodeIds` (array)
    List of rate code ids

  - `events.group.metadata.tripContacts` (array)
    Trip contacts for the event. These are passed through to created trips.

  - `events.group.metadata.tripContacts.label` (string, required)
    Label for the contact
    Example: Coordinator

  - `events.group.metadata.tripContacts.name` (string, required)
    Name of the contact
    Example: Himani Jain

  - `events.group.metadata.tripContacts.email` (string)
    Email of the contact
    Example: himani@spotnana.com

  - `events.group.metadata.tripContacts.isPrimary` (boolean)
    Whether the contact is primary or not
    Example: true

  - `events.group.metadata.tripContacts.restrictVisibility` (boolean)
    Whether to restrict visibility of the contact to only agents and admins
    Example: true

  - `events.group.metadata.inheritedCustomFieldIds` (array)
    List of custom field IDs that were inherited from parent

  - `events.group.metadata.inviteEmailConfig` (object)
    Configuration for event invite/reminder emails

  - `events.group.metadata.inviteEmailConfig.emailExcludeCoordinatorInfo` (boolean)
    Whether to exclude coordinator information in emails sent to travelers.
    Example: true

  - `events.group.metadata.enableRegisterLink` (boolean)
    Whether the open registration link is enabled for this event.
    Example: true

  - `events.group.group` (object)
    Definition of a group to combine users and their trips.

  - `events.group.group.id` (string)
    ID of the group.
    Example: f49d00fe-1eda-4304-ba79-a980f565281d

  - `events.group.group.name` (string)
    Name of the group.
    Example: Sample group name

  - `events.group.group.userGroupInfo` (object)
    Details about group's users.

  - `events.group.group.userGroupInfo.userGroupCriteria` (array)
    User group criteria

  - `events.group.group.userGroupInfo.userGroupCriteria.userIds` (array)

  - `events.group.group.userGroupInfo.userGroupCriteria.legalEntityIds` (array)

  - `events.group.group.userGroupInfo.userGroupCriteria.legalEntityIds.id` (string, required)
    Example: b93dc51f-12dd-46c7-b7d6-1cb12cd3f5b3

  - `events.group.group.userGroupInfo.userGroupCriteria.officeIds` (array)

  - `events.group.group.userGroupInfo.userGroupCriteria.departments` (array)
    List of department ids.

  - `events.group.group.userGroupInfo.userGroupCriteria.costCenters` (array)
    List of cost center ids.

  - `events.group.group.userGroupInfo.userGroupCriteria.grades` (array)
    List of grade ids.

  - `events.group.group.userGroupInfo.userGroupCriteria.positionTitles` (array)

  - `events.group.group.userGroupInfo.userGroupCriteria.personas` (array)

  - `events.group.group.userGroupInfo.userGroupCriteria.customFieldIds` (array)

  - `events.group.group.userGroupInfo.userGroupCriteria.customFieldIds.type` (string, required)
    The type of custom field.
    Enum: "QUESTION", "MEETING", "BUDGET", "BREX_TOKEN"

  - `events.group.group.userGroupInfo.userGroupCriteria.customFieldIds.externalId` (string, required)
    Meeting id or budget id based on custom field type.

  - `events.group.group.userGroupInfo.userGroupCriteria.countryCodes` (array)

  - `events.group.group.userGroupInfo.userGroupCriteria.workerTypes` (array)

  - `events.group.group.userGroupInfo.userGroupCriteria.accountingCodes` (array)

  - `events.group.group.userGroupInfo.userIds` (array)
    List of users derived from the user group criteria

  - `events.group.group.userTripInfos` (array)
    Details of the users and their trips in the group.

  - `events.group.group.userTripInfos.tripInfos` (array)
    List of trips for the user.

  - `events.group.group.userTripInfos.tripInfos.tripId` (string, required)
    ID of the trip of the user.
    Example: 1234567890

  - `events.group.group.userTripInfos.tripInfos.status` (string, required)
    User facing booking status
    Enum: "UNKNOWN_STATUS", "PENDING_STATUS", "CONFIRMED_STATUS", "ACTIVE_STATUS", "COMPLETED_STATUS", "CANCELLED_STATUS", "REFUNDED_STATUS", "VOIDED_STATUS", "PROCESSING_STATUS", "UNCONFIRMED_STATUS", "AIRLINE_CONTROL_STATUS", "PAYMENT_DECLINED_STATUS", "SCHEDULE_CHANGE_STATUS", "HOLD_STATUS", "APPROVAL_REQUESTED_STATUS", "APPROVAL_DENIED_STATUS", "CANCELLATION_IN_PROGRESS_STATUS", "INOPERATIVE_STATUS", "FLIGHT_UNCONFIRMED_STATUS"

  - `events.group.group.startDate` (object)
    Date in ISO 8601 standard.

  - `events.group.group.startDate.iso8601` (string, required)
    Example: 2017-07-21

  - `events.group.group.createdAt` (object)
    ISO8601 UTC Date Time

  - `events.group.group.createdAt.iso8601` (string, required)
    Example: 2017-07-21T17:32Z

  - `events.group.allowedBookingTypes` (array)
    Allowed booking types for the event group

  - `events.group.eventUserRsvpList` (array)
    List of user rsvp responses for the event group

  - `events.group.eventUserRsvpList.eventRsvpState` (string)
    Allowed event rsvp states for a user
    Enum: "ADDED", "INVITED", "INVITE_ACCEPTED", "INVITE_DECLINED", "REMOVED"

  - `events.group.eventUserRsvpList.eventRsvpResponse` (object)
    Event rsvp response

  - `events.group.eventUserRsvpList.eventRsvpResponse.air` (object)
    Air rsvp response

  - `events.group.eventUserRsvpList.eventRsvpResponse.air.notNeeded` (boolean)
    Whether air booking is needed by the traveler or not
    Example: true

  - `events.group.eventUserRsvpList.eventRsvpResponse.hotel` (object)
    Hotel rsvp response

  - `events.group.eventUserRsvpList.eventRsvpResponse.hotel.notNeeded` (boolean)
    Whether hotel booking is needed by the traveler or not
    Example: true

  - `events.group.eventUserRsvpList.eventRsvpResponse.car` (object)
    Car rsvp response

  - `events.group.eventUserRsvpList.eventRsvpResponse.car.notNeeded` (boolean)
    Whether car booking is needed by the traveler or not
    Example: true

  - `events.group.eventUserRsvpList.eventRsvpResponse.rail` (object)
    Rail rsvp response

  - `events.group.eventUserRsvpList.eventRsvpResponse.rail.notNeeded` (boolean)
    Whether rail booking is needed by the traveler or not
    Example: true

  - `events.group.eventUserRsvpList.airBookingStatus` (string)
    Booking status of the travel.
    Enum: "BOOKED", "NOT_BOOKED", "OPTED_OUT"

  - `events.group.allowedPaymentConfig` (array)
    Allowed payment configuration for the event template

  - `events.group.allowedPaymentConfig.paymentConfig` (string, required)
    Allowed payment configuration for a travel type in the event template
    Enum: "TRAVELER_DEFAULT", "TRAVELER_DEFAULT_CENTRAL", "PERSONAL", "SELECTED_METHODS"

  - `events.status` (string)
    Status of an event
    Enum: "DRAFT", "PUBLISH", "CANCELLED"

  - `events.runningStatus` (string)
    Running status of an event
    Enum: "IN_PROGRESS", "UPCOMING", "COMPLETED"

  - `events.paymentSources` (array)
    List of payment sources

  - `events.paymentSources.id` (string, required)
    Unique identifier identifying this payment source
    Example: f49d00fe-1eda-4304-ba79-a980f565281d

  - `events.paymentSources.type` (string)
    Type of Payment Source
    Enum: "CARD", "VIRTUAL_CARD", "REWARDS_PROGRAM", "DELAYED_INVOICING", "CUSTOM_PAYMENT_METHOD", "VENDOR_PROGRAM_PAYMENT", "UNUSED_CREDIT", "CASH"

  - `events.paymentSources.paymentSource` (object, required)
    Descriptor corresponding to the payment source.

  - `events.paymentSources.paymentSource.cardDescriptor` (object)
    Descriptor for card payment source.

  - `events.paymentSources.paymentSource.cardDescriptor.card` (object, required)
    User card info

  - `events.paymentSources.paymentSource.cardDescriptor.card.id` (string)
    Unique identifier for this card
    Example: 34d536b6-f8ff-11eb-9a61-0242ac180002

  - `events.paymentSources.paymentSource.cardDescriptor.card.type` (string)
    Type of card
    Enum: "UNKNOWN", "CREDIT", "DEBIT"

  - `events.paymentSources.paymentSource.cardDescriptor.card.company` (string)
    The issuing company of card
    Enum: "NONE", "VISA", "MASTERCARD", "AMEX", "DISCOVER", "AIR_TRAVEL_UATP", "CARTE_BLANCHE", "DINERS_CLUB", "JCB", "BREX", "UNION_PAY", "EURO_CARD", "ACCESS_CARD", "ELO_CARD"

  - `events.paymentSources.paymentSource.cardDescriptor.card.name` (string)
    Name on card
    Example: Harrison Schwartz

  - `events.paymentSources.paymentSource.cardDescriptor.card.number` (string, required)
    Card number
    Example: 4111111111111111

  - `events.paymentSources.paymentSource.cardDescriptor.card.expiryMonth` (integer)
    Expiry month
    Example: 1

  - `events.paymentSources.paymentSource.cardDescriptor.card.expiryYear` (integer)
    Expiry year
    Example: 2010

  - `events.paymentSources.paymentSource.cardDescriptor.card.cvv` (string)
    Card cvv number
    Example: 012

  - `events.paymentSources.paymentSource.cardDescriptor.card.label` (string)
    Card Label
    Example: Label amex

  - `events.paymentSources.paymentSource.cardDescriptor.card.currency` (string)
    Native currency of the card.
    Example: USD

  - `events.paymentSources.paymentSource.cardDescriptor.card.externalId` (string)
    Spotnana partner card id.
    Example: bxt_RNGsNfzgJDaTstKIKqK4xEuhGYAnMdYK8T40

  - `events.paymentSources.paymentSource.cardDescriptor.card.vaultId` (string)
    ID of the vault used for creating the card.
    Example: 34d536b6-f8ff-11eb-9a61-0242ac180002

  - `events.paymentSources.paymentSource.cardDescriptor.card.expiry` (object)
    Contains the expiry of a Card.

  - `events.paymentSources.paymentSource.cardDescriptor.card.expiry.tokenizedExpiry` (object)
    Contains the tokenized expiry of a Card.

  - `events.paymentSources.paymentSource.cardDescriptor.card.expiry.expiry` (object)
    Contains the expiry of a Card.

  - `events.paymentSources.paymentSource.cardDescriptor.card.ownershipLabel` (string)
    Ownership label of the card whether it is personal, corporate or central.
    Enum: "CORPORATE", "PERSONAL", "CENTRAL"

  - `events.paymentSources.paymentSource.cardDescriptor.isCentrallyBilled` (boolean)
    Whether card is centrally billed or not.

  - `events.paymentSources.paymentSource.cardDescriptor.isLodgeCard` (boolean)
    Whether card is a lodge card or not.

  - `events.paymentSources.paymentSource.rewardsProgramDescriptor` (object)
    Descriptor for Rewards Program.

  - `events.paymentSources.paymentSource.rewardsProgramDescriptor.type` (string)
    Type of Rewards Program
    Enum: "BREX_POINTS", "QANTAS_POINTS"

  - `events.paymentSources.paymentSource.virtualCardDescriptor` (object)
    Descriptor for virtual card.

  - `events.paymentSources.paymentSource.virtualCardDescriptor.vendor` (string)
    Type of Virtual card vendor
    Enum: "CONFERMA"

  - `events.paymentSources.paymentSource.virtualCardDescriptor.reportingAttributes` (array)
    List of ReportingAttributes

  - `events.paymentSources.paymentSource.virtualCardDescriptor.reportingAttributes.type` (string)
    Type of ReportingAttribute
    Enum: "EMPLOYEE_ID", "COST_CENTER_ID", "LEGAL_ENTITY_ID"

  - `events.paymentSources.paymentSource.virtualCardDescriptor.metadata` (object)
    Metadata corresponding to the VirtualCardDescriptor.

  - `events.paymentSources.paymentSource.virtualCardDescriptor.metadata.confermaMetadata` (object, required)
    conferma card descriptor.

  - `events.paymentSources.paymentSource.virtualCardDescriptor.metadata.confermaMetadata.cardPoolClientId` (string, required)
    card pool client Id.
    Example: test-id

  - `events.paymentSources.paymentSource.virtualCardDescriptor.metadata.confermaMetadata.cardLabel` (string)
    Name/Label for visual identification of the card.
    Example: cardCompany

  - `events.paymentSources.paymentSource.virtualCardDescriptor.metadata.confermaMetadata.paymentInstructionIds` (array)
    List of payment instruction ids

  - `events.paymentSources.paymentSource.virtualCardDescriptor.metadata.confermaMetadata.paymentInstruction` (object)
    Payment instruction configuration

  - `events.paymentSources.paymentSource.customPaymentMethodDescriptor` (object)
    Metadata for Custom Payment Method payment source.

  - `events.paymentSources.paymentSource.customPaymentMethodDescriptor.brexBudget` (object, required)
    Metadata for Brex Budget payment source.

  - `events.paymentSources.paymentSource.customPaymentMethodDescriptor.brexBudget.budgetName` (string)
    Budget name.
    Example: Travel Budget

  - `events.paymentSources.paymentSource.customPaymentMethodDescriptor.brexBudget.cardNumber` (string)
    Card number of the budget.
    Example: 1234567812345678123

  - `events.paymentSources.paymentSource.customPaymentMethodDescriptor.brexBudget.budgetRemainingBalanceFormatted` (string)
    Remaining balance of the budget formatted with currency.
    Example: $90,000.00

  - `events.paymentSources.paymentSource.customPaymentMethodDescriptor.amadeusCheckout` (object, required)
    Metadata for Amadeus Checkout payment source.

  - `events.paymentSources.paymentSource.customPaymentMethodDescriptor.amadeusCheckout.paymentPageId` (string)
    Payment page Id.
    Example: aslkdjalwjd

  - `events.paymentSources.paymentSource.customPaymentMethodDescriptor.amadeusCheckout.splitPaymentAllowed` (boolean, required)
    True if split payment is allowed in Amadeus Checkout, false otherwise
    Example: true

  - `events.paymentSources.paymentSource.customPaymentMethodDescriptor.amadeusCheckout.splitOptionsByCardCompany` (array)

  - `events.paymentSources.paymentSource.customPaymentMethodDescriptor.qantasTravelFund` (object, required)
    Metadata for Qantas Travel Fund payment source.

  - `events.paymentSources.paymentSource.customPaymentMethodDescriptor.qantasTravelFund.label` (string, required)
    Label for Qantas Travel Fund payment source.
    Example: QANTAS_TRAVEL_FUND

  - `events.paymentSources.paymentSource.customPaymentMethodDescriptor.dpanMetadata` (object, required)
    Metadata for DPAN payment source.

  - `events.paymentSources.paymentSource.customPaymentMethodDescriptor.dpanMetadata.label` (string, required)
    Label for DPAN payment source.
    Example: AMEX-DPAN

  - `events.paymentSources.paymentSource.customPaymentMethodDescriptor.virtualPaymentMetadata` (object, required)
    Metadata for custom virtual payment source.

  - `events.paymentSources.paymentSource.customPaymentMethodDescriptor.virtualPaymentMetadata.label` (string, required)
    Label for custom virtual payment source.
    Example: Custom payment card

  - `events.paymentSources.paymentSource.customPaymentMethodDescriptor.virtualPaymentMetadata.provider` (string)
    How this virtual payment source is integrated with Spotnana. EXTERNAL marks a virtual card deployed outside Spotnana (label-only, no card operations).
    Enum: "BCD", "EXTERNAL"

  - `events.paymentSources.paymentSource.customPaymentMethodDescriptor.flightPassMetadata` (object, required)
    Metadata for FlightPass payment source.

  - `events.paymentSources.paymentSource.customPaymentMethodDescriptor.flightPassMetadata.label` (string, required)
    Label for FlightPass payment source.
    Example: Air Canada Flight Pass

  - `events.paymentSources.paymentSource.customPaymentMethodDescriptor.noPrepaymentMetadata` (object, required)
    Metadata for No Prepayment payment source (car bookings on no-guarantee rates).

  - `events.paymentSources.paymentSource.customPaymentMethodDescriptor.noPrepaymentMetadata.label` (string, required)
    Label for No Prepayment payment source.
    Example: No Prepayment

  - `events.paymentSources.paymentSource.vendorProgramPaymentDescriptor` (object)
    Descriptor for vendor program payment.

  - `events.paymentSources.paymentSource.vendorProgramPaymentDescriptor.vendorProgramPaymentMetadata` (object, required)
    Vendor program payment specific metadata.

  - `events.paymentSources.paymentSource.vendorProgramPaymentDescriptor.vendorProgramPaymentMetadata.directBilling` (object)
    Descriptor for direct billing details.

  - `events.paymentSources.paymentSource.vendorProgramPaymentDescriptor.vendorProgramPaymentMetadata.directBilling.directBillingCode` (string)
    Direct billing code provided by the vendor.

  - `events.paymentSources.paymentSource.vendorProgramPaymentDescriptor.vendorProgramPaymentMetadata.directBilling.corporateDiscountCode` (string)
    Corporate discount code provided by the vendor.

  - `events.paymentSources.paymentSource.vendorProgramPaymentDescriptor.vendorProgramPaymentMetadata.directBilling.label` (string)
    Label for the Direct Billing Payment method.

  - `events.paymentSources.paymentSource.vendorProgramPaymentDescriptor.vendorProgramPaymentMetadata.airlineProgram` (object)
    Descriptor for Airline program details.

  - `events.paymentSources.paymentSource.vendorProgramPaymentDescriptor.vendorProgramPaymentMetadata.airlineProgram.airlineInfo` (array, required)
    Eligible airlines' information list.

  - `events.paymentSources.paymentSource.vendorProgramPaymentDescriptor.vendorProgramPaymentMetadata.airlineProgram.airlineProgramMetadata` (object, required)

  - `events.paymentSources.paymentSource.delayedInvoicingDescriptor` (object)
    Descriptor for delayed invoicing.

  - `events.paymentSources.paymentSource.delayedInvoicingDescriptor.label` (string, required)
    Label for delayed invoicing payment method
    Example: Delayed Invoicing for India LE

  - `events.paymentSources.paymentSource.unusedCreditDescriptor` (object)
    Descriptor for unused credits.

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo` (object, required)
    Information regarding an unused credit.

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.sourcePnr` (string)
    PNR number corresponding to third party through which booking was made.
    Example: MC5ONS

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.spotnanaPnr` (string)
    Spotnana pnr ID.
    Example: 2345678

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.ticketNumber` (string)
    Ticket number for the ticket that was converted into an unused credit.
    Example: 5267779139217

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.airlineCode` (string)
    2 letter airline code of the airline associated with this unused credit.
    Example: AA

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.airlineInfo` (object)
    Detailed information about the airline.

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.airlineInfo.airlineCode` (string, required)
    IATA code for airline.
    Example: AA

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.airlineInfo.airlineName` (string)
    Airline name
    Example: American Airlines

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.totalFare` (object)
    Money object containing details such as the amount, the currency code, and the converted amount.

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.totalFare.amount` (number, required)
    The numeric value for the amount of money.
    Example: 510

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.totalFare.currencyCode` (string, required)
    The 3-letter currency code for the money amount (defined using ISO 4217 standard).
    Example: GBP

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.totalFare.convertedAmount` (number)
    The converted currency and amount that has been converted (if a currency conversion has been requested).
For example, if the call requests that money be sent in a specified currency (because the frontend requested
the backend to send money in the user's preferred currency).
    Example: 715.42

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.totalFare.convertedCurrency` (string)
    The 3-letter currency code for the converted currency (defined using ISO 4217 standard).
    Example: USD

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.totalFare.otherCoinage` (array)
    List of the dollar amount in other coinage systems like reward points, cryptocurrency etc.

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.segmentsAvailable` (string)
    Whether all segments are unused or some have already been used.
    Enum: "UNKNOWN", "ALL_OPEN", "PARTIAL", "OTHER"

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.passengerName` (object)
    Full name containing first, middle, last (family) names, and suffix.

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.passengerName.family1` (string, required)
    Last (family) name.
    Example: Gandas

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.passengerName.family2` (string)
    Example: FamilyTwo

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.passengerName.given` (string, required)
    First (given) name.
    Example: Vichitr

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.passengerName.middle` (string)
    Middle name.
    Example: Kumar

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.passengerName.suffix` (string)
    Suffix for name
    Enum: "NAME_SUFFIX_UNKNOWN", "SR", "JR", "MD", "PHD", "II", "III", "IV", "DO", "ATTY", "V", "VI", "ESQ", "DC", "DDS", "VM", "JD", "SECOND", "THIRD"

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.passengerName.preferred` (string)
    Informal preferred name added by traveler. This is not used on any PNR or tickets
    Example: Don

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.departureCountry` (string)
    3 letter country code of the departure country associated with the original ticket.
    Example: USA

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.arrivalCountry` (string)
    3 letter country code of the arrival country associated with the original ticket.
    Example: USA

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.ticketType` (string)
    Type of credit.
    Enum: "TICKET_TYPE_UNKNOWN", "ETICKET", "MCO", "NON_GDS"

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.pcc` (string)
    PCC the credit was issued on.

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.status` (string)
    Status of the credit.
    Enum: "STATUS_UNKNOWN", "OPEN", "USED", "RESERVED"

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.source` (string)
    Enum: "UNKNOWN_SOURCE", "SABRE", "TRAVEL_FUSION", "AVIA", "NDC", "TRAINLINE", "ATPCO_NDC", "FARELOGIX_NDC", "OFFLINE", "CONNEXUS", "ROUTEHAPPY", "AMADEUS", "GIATA", "QBR", "BCD", "QANTAS_HOTELS", "SOUTHWEST", "EXPEDIA", "HOTEL_HUB", "MARRIOTT", "CLEARTRIP", "KYTE", "GROUNDSPAN", "SABRE_NDC", "BOOKING_COM", "CARTRAWLER", "PREMIER_INN", "TRAVELODGE", "ENTERPRISE", "HYATT", "HILTON", "EUROSTAR", "NATIONAL", "ALAMO", "AVIS", "BUDGET", "HERTZ", "DOLLAR", "THRIFTY", "FIREFLY", "AMADEUS_NDC", "SIXT"

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.tripId` (string)
    Trip ID that contains the unused credit
    Example: 1234567

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.redeemVia` (string)
    Credit redemption method.
If the value contains `CONTACT_AGENT`, then the agent must book the ticket and redeem the credits on behalf of the traveler.
    Enum: "REDEEM_VIA_OBT", "CONTACT_AGENT"

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.sourceOfTruth` (string)
    The system that owns the credit.
    Enum: "SPOTNANA", "MANUAL_FORM", "MAGNATECH", "BCD", "OBT", "CWT"

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.owningPcc` (string)
    PCC the PNR was created on.

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.paymentSourceId` (string)
    Payment source ID associated with the credit.
    Example: edd5b835-8001-430c-98f8-fedeccebe4cf

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.creditUsageType` (string)
    Usage type of the credit.
    Enum: "CREDIT_USAGE_TYPE_UNKNOWN", "COMPANY", "PERSONAL"

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.email` (string)
    Email of the passenger owning the unused credit.

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.fopInfo` (object)
    Form of payment information associated with an unused credit.

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.fopInfo.paymentMethod` (string)
    Payment method
    Enum: "PAYMENT_METHOD_UNKNOWN", "CREDIT_CARD", "BREX_POINTS", "CASH", "QANTAS_POINTS", "VENDOR_PROGRAM_PAYMENT", "DELAYED_INVOICING", "FLIGHT_CREDITS", "QANTAS_TRAVEL_FUND", "CUSTOM_VIRTUAL_PAYMENT", "FLIGHT_PASS", "MISCELLANEOUS_CREDIT_ORDER", "NO_PREPAYMENT", "DELAYED_PAYMENT"

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.fopLabel` (string)
    The label associated with the FOP. This value can be empty if that particular FOP does not have any label.

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.exchangeInfo` (object)
    Exchange information for unused credits.

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.exchangeInfo.previousTicket` (string)
    Previous ticket number in case of exchanges.

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.fopCardAccessType` (string)
    The card access type of the FOP associated with the unused credit.
    Enum: "CARD_ACCESS_CENTRAL", "CARD_ACCESS_PERSONAL", "CARD_ACCESS_CORPORATE"

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.legalEntityName` (string)
    The name of the legal entity associated with this unused credit.

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.creditFareBreakdown` (object)
    Fare amount including base fare and tax.

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.creditFareBreakdown.taxBreakdown` (array)

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.unusedCreditInfo.countryCode` (string)
    Country code of the credit's Point-of-Sale market, derived from the credit's PCC.
    Example: US

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.companyId` (object, required)
    Company ID

  - `events.paymentSources.paymentSource.unusedCreditDescriptor.companyId.id` (string, required)
    Example: f49d00fe-1eda-4304-ba79-a980f565281d

  - `events.paymentSources.paymentSource.cashDescriptor` (object)
    Descriptor for Cash.

  - `events.paymentSources.paymentSource.cashDescriptor.label` (string, required)
    Label for Cash payment.
    Example: Cash Payment for Amex TLS

  - `events.paymentSources.mapping` (object)

  - `events.paymentSources.mapping.accessType` (string)
    Access Type of the Payment Source being created.
    Enum: "CENTRALISED", "PERSONAL", "APPLICATION", "TMC", "ITINERARY", "EVENT", "EVENT_TEMPLATE"

  - `events.paymentSources.mapping.accessTypeEntityId` (string)
    Entity ID corresponding to the Access Type being created

  - `events.paymentSources.mapping.filter` (object)
    Metadata corresponding to the payment source.

  - `events.paymentSources.mapping.filter.legalEntityFilter` (object)
    LegalEntityFilter details.

  - `events.paymentSources.mapping.filter.legalEntityFilter.legalEntityIds` (array, required)
    Legal Entity id List

  - `events.paymentSources.mapping.filter.legalEntityFilter.legalEntityIds.id` (string, required)
    Example: fc1ccbce-8413-4fe9-b233-a324dfbe7421

  - `events.paymentSources.mapping.filter.companyFilter` (object)
    CompanyFilter details

  - `events.paymentSources.mapping.filter.companyFilter.companyIds` (array)
    Company id List

  - `events.paymentSources.mapping.filter.countryFilter` (object)
    CountryFilter details.

  - `events.paymentSources.mapping.filter.countryFilter.countryCodes` (array, required)
    country Codes List

  - `events.paymentSources.mapping.filter.tmcFilter` (object)
    TmcFilter details.

  - `events.paymentSources.mapping.filter.tmcFilter.showToTraveler` (boolean)
    If true, this TMC payment source is shown to travelers at checkout; otherwise it is TMC-internal.

  - `events.paymentSources.mapping.filter.personalFilter` (object)
    TmcFilter details.

  - `events.paymentSources.mapping.filter.personalFilter.managedTravelerAccess` (object)
    Settings for sharing this payment method with managed traveler profiles. Applicable for Arranger Roles.

  - `events.paymentSources.mapping.filter.personalFilter.managedTravelerAccess.enabled` (boolean, required)
    Indicates if this payment method can be used on the Traveler Profiles being managed by this User.

  - `events.paymentSources.mapping.filter.personalFilter.managedTravelerAccess.visibility` (object)
    Controls how this payment method is displayed on checkout for managed traveler profiles, applicable only if sharing is enabled.

  - `events.paymentSources.mapping.filter.personalFilter.managedTravelerAccess.visibility.showToTravelers` (boolean)
    If true, managed travelers can see this payment method when booking for themselves. If false, only the Travel Arranger can see it.

  - `events.paymentSources.mapping.filter.individualFilter` (object)
    IndividualFilter details.

  - `events.paymentSources.mapping.filter.individualFilter.ids` (array, required)
    List of user id

  - `events.paymentSources.mapping.filter.costCenterFilter` (object)
    CostCenterFilter details.

  - `events.paymentSources.mapping.filter.costCenterFilter.costCenterIds` (array, required)
    List of cost center ids

  - `events.paymentSources.mapping.filter.costCenterFilter.costCenterIds.id` (string, required)
    Example: 731ccbca-0415-6fe1-d235-c324dfbe7423

  - `events.paymentSources.mapping.filter.departmentFilter` (object)
    DepartmentFilter details.

  - `events.paymentSources.mapping.filter.departmentFilter.departmentIds` (array, required)
    List of department ids

  - `events.paymentSources.mapping.filter.departmentFilter.departmentIds.id` (string, required)
    Example: 631ccbcf-9414-5fe0-c234-b324dfbe7422

  - `events.paymentSources.mapping.filter.itineraryFilter` (object)
    Itinerary Filter details

  - `events.paymentSources.mapping.filter.itineraryFilter.itineraryInfo` (object, required)
    Details of the itinerary

  - `events.paymentSources.mapping.filter.itineraryFilter.itineraryInfo.airItineraryId` (object)
    Air itinerary id

  - `events.paymentSources.mapping.filter.itineraryFilter.itineraryInfo.hotelItineraryId` (object)
    Hotel itinerary id

  - `events.paymentSources.mapping.filter.itineraryFilter.itineraryInfo.carItineraryId` (object)
    Car itinerary id

  - `events.paymentSources.mapping.filter.itineraryFilter.itineraryInfo.railItineraryId` (object)
    Rail itinerary id

  - `events.paymentSources.mapping.filter.itineraryFilter.itineraryInfo.limoItineraryId` (object)
    Limo itinerary id

  - `events.paymentSources.mapping.filter.eventFilter` (object)
    Payment EventFilter details.

  - `events.paymentSources.mapping.filter.eventFilter.eventIds` (array, required)
    Event ids List

  - `events.paymentSources.mapping.travelType` (array)
    Applicable payment source travel type.

  - `events.paymentSources.mapping.travelType.isRequired` (boolean)
    Whether this is a required payment source for this travel type.

  - `events.paymentSources.mapping.travelType.allowPostPaidBookings` (boolean)
    Whether post paid bookings are allowed for this travel type. Treated as false when omitted. Cannot be true for AIR and RAIL.

  - `events.paymentSources.mapping.travelType.metadata` (object)

  - `events.paymentSources.mapping.travelType.metadata.travelType` (string, required)
    Travel Type for the metadata. For cars it's CAR.
    Enum: "CAR"

  - `events.paymentSources.mapping.travelType.metadata.vendors` (array)
    Vendors for which the payment source is applicable.

  - `events.paymentSources.mapping.travelTypes` (array)
    Applicable payment source travel types

  - `events.paymentSources.mapping.spendTypes` (array)
    Applicable spend types for payment source other than travel

  - `events.paymentSources.mapping.spendTypes.spendType` (string, required)
    Spend type
    Enum: "SERVICE_FEE"

  - `events.paymentSources.mapping.paymentSourceAttributes` (object)
    Attributes applicable for the payment source.

  - `events.paymentSources.mapping.paymentSourceAttributes.guestTravelAllowed` (boolean)
    Whether guest travel is allowed.

  - `events.paymentSources.mapping.paymentSourceAttributes.roleTypes` (array)
    Role types which have access to the payment source

  - `events.paymentSources.mapping.paymentSourceAttributes.includedPersonas` (array)
    If specified, list of traveler personas which have access to the payment source.

  - `events.paymentSources.mapping.paymentSourceAttributes.excludedPersonas` (array)
    List of traveler personas which don't have access to the payment source.

  - `events.paymentSources.mapping.paymentSourceAttributes.allowedThirdPartySources` (array)
    List of 3rd party sources supported for the payment source.

  - `events.paymentSources.mapping.paymentSourceAttributes.allowedTripTypes` (array)
    List of trip types supported for the payment source.

  - `events.paymentSources.mapping.paymentSourceAttributes.priority` (integer)
    Priority of payment source used to order while listing payment sources. Priority is a positive number.
    Example: 2

  - `events.paymentSources.mapping.paymentSourceAttributes.workerType` (array)
    If specified, list of traveler worker types which have access to the payment source.

  - `events.paymentSources.mapping.paymentSourceAttributes.supplierPaymentTypes` (array)
    Forms of payment accepted by the supplier, for which this payment source can be used. When absent or empty, the payment source is not restricted by supplier form of payment.

  - `events.paymentSources.mapping.accessTypeAttributes` (object)
    Attributes applicable to the payment source for specific Access Type.

  - `events.paymentSources.mapping.accessTypeAttributes.travelTypeFilter` (object)
    Filter for selecting payment sources according to different types of travel.

  - `events.paymentSources.mapping.accessTypeAttributes.travelTypeFilter.travelTypes` (array)
    Applicable travel types for Payment Source.

  - `events.paymentSources.status` (string)
    Status of the Payment Source.
    Enum: "ACTIVE", "INCOMPLETE", "TEMPORARY_READY", "TEMPORARY_USED", "TEMPORARY_EXPIRED", "TEMPORARY_INCOMPLETE"

  - `events.numTravelers` (integer)
    Number of active travelers in the event
    Example: 1

  - `events.customFieldResponses` (array)
    Preselected custom field responses for the event.

  - `events.customFieldResponses.customFieldId` (string, required)
    The unique identifier for the custom field.
    Example: f49d00fe-1eda-4304-ba79-a980f565281d

  - `events.customFieldResponses.responseItems` (array)
    Responses selected by the event coordinator.

  - `events.customFieldResponses.responseItems.response` (string, required)
    The response of the custom field. It can be a text input from the user or a custom field code if the input is from a radio button or checkbox.
    Example: Leisure travel

  - `events.customFieldResponses.responseItems.additionalInput` (string)
    This contains additional input to the above response. It will only be used for checkbox with percentage and will contain the percentage value.
    Example: 20

  - `events.customFieldResponses.travelerAccess` (string, required)
    Traveler access for a custom field
    Enum: "HIDDEN", "READ_ACCESS", "WRITE_ACCESS"

  - `events.customFieldV3Responses` (array)
    List of custom field responses for an event.

  - `events.customFieldV3Responses.fieldId` (string, required)
    Custom field id

  - `events.customFieldV3Responses.fieldName` (string)
    Name of the custom field

  - `events.customFieldV3Responses.armId` (string, required)
    Arm id which is applicable

  - `events.customFieldV3Responses.readOnly` (boolean)
    Indicates whether the user can change the pre-selected options.
    Example: true

  - `events.customFieldV3Responses.hidden` (boolean)
    Whether this code will be hidden to the user.
    Example: true

  - `events.customFieldV3Responses.selectedOptions` (array, required)
    The list of options that are selected by user or auto populated.

  - `events.customFieldV3Responses.selectedOptions.name` (string, required)
    Value of the selection

  - `events.customFieldV3Responses.selectedOptions.translatedName` (string)
    Translated value of the selection

  - `events.customFieldV3Responses.selectedOptions.description` (string)
    Description of the selection

  - `events.customFieldV3Responses.selectedOptions.translatedDescription` (string)
    Translated description of the selection

  - `events.customFieldV3Responses.selectedOptions.additionalUserInput` (string)
    Additional user input

  - `events.customFieldV3Responses.selectedOptions.additionalInfos` (array)
    Actual values of the additional infos

  - `events.customFieldV3Responses.selectedOptions.additionalInfoConfigs` (array)
    Additional info configs for the selected option

  - `events.customFieldV3Responses.selectedOptions.additionalInfoConfigs.type` (string, required)
    Enum: "VARIABLE", "EXPRESSION"

  - `events.customFieldV3Responses.selectedOptions.additionalInfoConfigs.name` (string, required)
    Name of the variable.
    Enum: "PUBLISHED_FARE", "LLF", "ADD_COLLECT_AMOUNT", "SELECTED_FARE", "SPLIT_PAYMENT_FARE"

  - `events.customFieldV3Responses.selectedOptions.additionalInfoConfigs.formatExpression` (string, required)
    The expression must be of format : `<any_text> ${expression} <any_text>`.The expression
can consist of a combination of variables and mathematical operations.
Variable names must be same as VariableName Enum.
To define mathematical operations, the operation name should follow the format
`math.<math_op>(arg1, arg2)`. Both `arg1` and `arg2` can be variables or constants.
The supported math operations (math_op) include: `add, mul, div, sub, min, and max`. All keywords, such as `<math_op>, math, and var` must be written in lowercase.
    Example: Result:  ${math.mul(LLF,5)}  ${ADD_COLLECT_AMOUNT}

  - `events.customFieldV3Responses.selectedOptions.additionalInfoConfigs.variables` (array)
    Reference names of the variables present in the expression.

  - `events.customFieldV3Responses.selectedOptions.optionId` (string)
    Id of the selected option; sent by clients, never returned

  - `events.externalId` (string)
    External Id for the event
    Example: qwert123

  - `events.policyId` (string)
    Policy associated with the event.
    Example: f7b3b3b3-7b3b-4b3b-8b3b-3b3b3b3b3b3b

  - `events.parentEventId` (string)
    Optional parent event's id.
    Example: 56789012

  - `events.isDetached` (boolean)
    Whether the event is detached from the parent event or not.
    Example: true

  - `events.childEventCounts` (object)
    Count of child PROGRAM_TRIP events for a PROGRAM_SESSION, broken down by status.

  - `events.childEventCounts.total` (integer)
    Total number of child events.
    Example: 10

  - `events.childEventCounts.draft` (integer)
    Number of child events in draft status.
    Example: 2

  - `events.childEventCounts.upcoming` (integer)
    Number of upcoming child events.
    Example: 5

  - `events.childEventCounts.completed` (integer)
    Number of completed child events.
    Example: 2

  - `events.childEventCounts.cancelled` (integer)
    Number of cancelled child events.
    Example: 1

  - `paginationParams` (object)
    Pagination parameters for response.

  - `paginationParams.totalNumResults` (integer, required)
    Total number of results.

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

